source: multimedia/libdriv/gst10-plugins-bad.xml@ 0ab4bef

10.0 10.1 11.0 11.1 11.2 8.2 8.3 8.4 9.0 9.1 basic bdubbs/svn elogind lazarus perl-modules plabs/python-mods qt5new trunk upgradedb xry111/intltool xry111/soup3 xry111/test-20220226
Last change on this file since 0ab4bef was 0ab4bef, checked in by Pierre Labastie <pieere@…>, 5 years ago

Fix gst-plugins-bad md5. Does not look like a stealth update, since
it had not been changed for the last upgrade. But how is it that nobody has
noticed in the meantime?

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@19834 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 8.7 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY gst10-plugins-bad-download-http
8 "&gstreamer-dl;/gst-plugins-bad/gst-plugins-bad-&gst10-plugins-bad-version;.tar.xz">
9 <!ENTITY gst10-plugins-bad-download-ftp " ">
10 <!ENTITY gst10-plugins-bad-md5sum "64bf16cf15edaab1c0e02c8dee7170d0">
11 <!ENTITY gst10-plugins-bad-size "4.5 MB">
12 <!ENTITY gst10-plugins-bad-buildsize "176 MB (add 20 MB for tests)">
13 <!ENTITY gst10-plugins-bad-time "1.0 SBU (using parallelism=4; add 1.8 SBU for tests)">
14]>
15
16<sect1 id="gst10-plugins-bad" xreflabel="gst-plugins-bad-&gst10-plugins-bad-version;">
17 <?dbhtml filename="gst10-plugins-bad.html"?>
18
19 <sect1info>
20 <othername>$LastChangedBy$</othername>
21 <date>$Date$</date>
22 </sect1info>
23
24 <title>gst-plugins-bad-&gst10-plugins-bad-version;</title>
25
26 <indexterm zone="gst10-plugins-bad">
27 <primary sortas="a-gst-plugins-bad">gst-plugins-bad</primary>
28 </indexterm>
29
30 <sect2 role="package">
31 <title>Introduction to GStreamer Bad Plug-ins</title>
32
33 <para>
34 The <application>GStreamer Bad Plug-ins</application> package contains a
35 set of plug-ins that aren't up to par compared to the rest. They
36 might be close to being good quality, but they're missing something - be
37 it a good code review, some documentation, a set of tests, a real live
38 maintainer, or some actual wide use.
39 </para>
40
41 &lfs81_checked;
42
43 <bridgehead renderas="sect3">Package Information</bridgehead>
44 <itemizedlist spacing="compact">
45 <listitem>
46 <para>
47 Download (HTTP): <ulink url="&gst10-plugins-bad-download-http;"/>
48 </para>
49 </listitem>
50 <listitem>
51 <para>
52 Download (FTP): <ulink url="&gst10-plugins-bad-download-ftp;"/>
53 </para>
54 </listitem>
55 <listitem>
56 <para>
57 Download MD5 sum: &gst10-plugins-bad-md5sum;
58 </para>
59 </listitem>
60 <listitem>
61 <para>
62 Download size: &gst10-plugins-bad-size;
63 </para>
64 </listitem>
65 <listitem>
66 <para>
67 Estimated disk space required: &gst10-plugins-bad-buildsize;
68 </para>
69 </listitem>
70 <listitem>
71 <para>
72 Estimated build time: &gst10-plugins-bad-time;
73 </para>
74 </listitem>
75 </itemizedlist>
76
77 <bridgehead renderas="sect3">GStreamer Bad Plug-ins Dependencies</bridgehead>
78
79 <bridgehead renderas="sect4">Required</bridgehead>
80 <para role="required">
81 <xref linkend="gst10-plugins-base"/>
82 </para>
83
84 <!-- Common formats, output and input codecs and requirements
85 for GNOME apps. What's a multimedia framework useful if it
86 can't be used to play anything (common)? -->
87 <bridgehead renderas="sect4">Recommended</bridgehead>
88 <para role="recommended">
89 <xref linkend="libdvdread"/>,
90 <xref linkend="libdvdnav"/>,
91 <xref linkend="llvm"/>, and
92 <xref linkend="soundtouch"/>
93 </para>
94
95 <bridgehead renderas="sect4">Optional</bridgehead>
96 <para role="optional">
97 <xref linkend="bluez"/>,
98 <xref linkend="clutter"/>,
99 <xref linkend="curl"/>,
100 <xref linkend="faac"/>,
101 <xref linkend="faad2"/>,
102 <xref linkend="gnutls"/>,
103 <xref linkend="gtk-doc"/>,
104 <xref linkend="gtk2"/> or
105 <xref linkend="gtk3"/>,
106 <xref linkend="libass"/>,
107 <xref linkend="libexif"/>,
108 <xref linkend="libgcrypt"/>,
109 <xref linkend="libmpeg2"/>,
110 <xref linkend="libvdpau"/>,
111 <xref linkend="libwebp"/>,
112 <xref linkend="mesa"/>,
113 <xref linkend="mpg123"/>,
114 <xref linkend="neon"/>,
115 <xref linkend="nettle"/>,
116 <xref linkend="opencv"/> (with additional modules),
117 <xref linkend="openjpeg"/> or
118 <xref linkend="openjpeg2"/>,
119 <xref linkend="opus"/>,
120 <xref linkend="qt5"/> (for examples),
121 <xref linkend="sdl"/>,
122 <xref linkend="valgrind"/>,
123 <xref linkend="wayland"/> (<xref linkend="gtk3"/> must have been
124 compiled with wayland support),
125 <xref linkend="x265"/>,
126 <xref linkend="xorg7-lib"/>,
127 <ulink url="http://bs2b.sourceforge.net/">bs2b</ulink>,
128 <ulink url="https://acoustid.org/chromaprint">Chromaprint</ulink>,
129 <ulink url="https://www.xiph.org/daala/">daala</ulink>,
130 <ulink url="http://www.speech.cs.cmu.edu/flite/">Flite</ulink>,
131 <ulink url="https://bitbucket.org/mpyne/game-music-emu/">Game Music Emu</ulink>,
132 <ulink url="http://www.quut.com/gsm/">GSM</ulink>,
133 <ulink url="http://sourceforge.net/projects/farsight/files/libmimic/">libmimic</ulink>,
134 <ulink url="http://sourceforge.net/projects/libmms/">libmms</ulink>,
135 <ulink url="http://code.google.com/p/musicip-libofa/">libofa</ulink>,
136 <ulink url="http://mjpeg.sourceforge.net/">MJPEG Tools</ulink>,
137 <ulink url="http://kcat.strangesoft.net/openal.html">OpenAL</ulink>,
138 <ulink url="http://gstreamer.freedesktop.org/src/orc/">Orc</ulink>,
139 <ulink url="http://sourceforge.net/projects/opencore-amr/files/vo-aacenc/">VO AAC</ulink>,
140 <ulink url="http://sourceforge.net/projects/opencore-amr/files/vo-amrwbenc/">VO AMRWB</ulink>, and
141 <ulink url="http://zbar.sourceforge.net/">ZBAR</ulink>
142 </para>
143
144 <para condition="html" role="usernotes">
145 User Notes: <ulink url="&blfs-wiki;/gst10-plugins-bad"/>
146 </para>
147 </sect2>
148
149 <sect2 role="installation">
150 <title>Installation of GStreamer Bad Plug-ins</title>
151
152 <note><para>If you need a plugin for a given dependency, that dependency
153 needs to be installed before this application.
154 </para></note>
155
156 <para>
157 Install <application>GStreamer Bad Plug-ins</application> by running the
158 following commands:
159 </para>
160
161<screen><userinput>sed -i 's/openjpeg-2.2/openjpeg-2.3/' ext/openjpeg/gstopenjpeg.h &amp;&amp;
162
163./configure --prefix=/usr \
164 --disable-wayland \
165 --disable-opencv \
166 --with-package-name="GStreamer Bad Plugins &gst10-plugins-bad-version; BLFS" \
167 --with-package-origin="http://www.linuxfromscratch.org/blfs/view/svn/" &amp;&amp;
168make</userinput></screen>
169
170 <para>
171 To test the results, issue: <command>make check</command>. Several tests
172 need a terminal emulator in a graphical session. Two tests, dash_mpd and
173 aggregator, are known to fail.
174 </para>
175
176 <para>
177 Now, as the <systemitem class="username">root</systemitem> user:
178 </para>
179
180<screen role="root"><userinput>make install</userinput></screen>
181 </sect2>
182
183 <sect2 role="commands">
184 <title>Command Explanations</title>
185
186 <para>
187 <command>sed -i 's/openjpeg-2.2/openjpeg-2.3/' ...</command>: The
188 openjpeg headers are in a versioned directory, BLFS has now moved to a
189 newer version. Omit this if you are building against
190 <application>openjpeg-2.2</application>.
191 </para>
192
193 <para>
194 <parameter>--disable-wayland</parameter>: This switch is required
195 without a full wayland based desktop environment.
196 </para>
197
198 <para>
199 <parameter>--disable-opencv</parameter>: This switch is required
200 if <xref linkend="opencv"/> is installed without additional modules
201 (specifically bgsegm).
202 </para>
203
204 </sect2>
205
206 <sect2 role="content">
207 <title>Contents</title>
208
209 <segmentedlist>
210 <segtitle>Installed Programs</segtitle>
211 <segtitle>Installed Libraries</segtitle>
212 <segtitle>Installed Directories</segtitle>
213
214 <seglistitem>
215 <seg>
216 None
217 </seg>
218 <seg>
219 libgstadaptivedemux-1.0.so,
220 libgstbadaudio-1.0.so,
221 libgstbadbase-1.0.so,
222 libgstbadvideo-1.0.so,
223 libgstbasecamerabinsrc-1.0.so,
224 libgstcodecparsers-1.0.so,
225 libgstgl-1.0.so (if <xref linkend="mesa"/> is installed),
226 libgstinsertbin-1.0.so,
227 libgstmpegts-1.0.so,
228 libgstphotography-1.0.so,
229 libgstplayer-1.0.so,
230 libgsturidownloader-1.0.so, and
231 several plugins under /usr/lib/gstreamer-1.0
232 </seg>
233 <seg>
234 /usr/include/gstreamer-1.0/gst/{basecamerabinsrc,codecparsers},
235 /usr/include/gstreamer-1.0/gst/{insertbin,interfaces,mpegts},
236 /usr/include/gstreamer-1.0/gst/{player,uridownloader},
237 /usr/include/gstreamer-1.0/gst/gl (if <xref linkend="mesa"/> is
238 installed),
239 /usr/lib/gstreamer-1.0/include, and
240 /usr/share/gtk-doc/html/gst-plugins-bad-{libs,plugins}-1.0
241 </seg>
242 </seglistitem>
243 </segmentedlist>
244
245 </sect2>
246
247</sect1>
Note: See TracBrowser for help on using the repository browser.